package ostate;

/**
 * Base class for events. Represents some event,
 * that can be processed by state machine.
 *
 * @author Pavel Mavrin
 * @version $Id$
 */

public class Event {

    private final String name;

    public Event(String name) {
        this.name = name;
    }

    public String getName() {
        return name;
    }
}
