package test0.states;

import ostate.annotations.Handler;
import ostate.annotations.State;
import ostate.Event;
import ostate.IStateMachine;
import test0.events.E;
import test0.AI;

/**
 * B to be documented.
 *
 * @author Pavel Mavrin
 * @version $Id$
 */

@State (
        name = "B"
)
public class B extends AbstractState {
    
    public B(IStateMachine<AI> sm) {
        super(sm);
    }

    @Handler
    public void handle(Event e) {
        sm.changeState(A.class, null, new Runnable() {
            public void run() {
                System.out.println("B -> A");
            }
        });
    }
}
