package ostate;

/**
 * IState.
 *
 * Base interface of state.
 *
 * Each state class must implement this interface and be marked
 * with {@link ostate.annotations.State} annotation.
 *
 * @author Pavel Mavrin
 * @version $Id$
 */

public interface IState<I> {

    void stateEntry();

    void stateExit();

}
