package ostate.invoke;

import java.lang.reflect.InvocationTargetException;

/**
 * EventProcessingContext to be documented.
 *
 * @author Pavel Mavrin
 * @version $Id$
 */

public interface EventProcessingContext {

    void processThisState()
            throws IllegalAccessException, InvocationTargetException;

    void processNextChild()
            throws IllegalAccessException, InvocationTargetException;

    boolean hasMoreChildren();
}
