package ostate.invoke;

import java.lang.reflect.InvocationTargetException;

/**
 * MethodInvokingContext.
 *
 * EventProcessingContext of {@link ostate.invoke.MethodInvoker}.
 *
 * @author Pavel Mavrin
 * @version $Id$
 */

public interface MethodInvokingContext {

    InvocationResult processThisState()
            throws IllegalAccessException, InvocationTargetException;

    InvocationResult processNextChild()
            throws IllegalAccessException, InvocationTargetException;

    boolean hasMoreChildren();
}
