package test0;

import ostate.StateMachineFactory;
import ostate.IStateMachine;
import ostate.Event;
import ostate.impl.DefaultStateFactory;
import test0.states.A;

/**
 * Main to be documented.
 *
 * @author Pavel Mavrin
 * @version $Id$
 */

public class Main {

    public static void main(String[] args) {
        StateMachineFactory<AI> smf =
                StateMachineFactory.newInstance();
        IStateMachine<AI> sm =
                smf.createStateMachine(
                        AI.class,
                        new DefaultStateFactory<AI>(false));
        sm.changeState(A.class);
        sm.processEvent(new Event(""));
        sm.processEvent(new Event(""));
        sm.processEvent(new Event(""));
        sm.processEvent(new Event(""));
        sm.processEvent(new Event(""));
        sm.processEvent(new Event(""));
        sm.processEvent(new Event(""));
    }
}
